$(() => {
    const locale = $.datepicker.regional[XFC_METADATA.currentLanguageTag];
    $.datepicker.setDefaults(locale || $.datepicker.regional["de"]);

    /**
     * @param {JQuery} input
     */
    function checkDate(input) {
        const dateFormat = input.datepicker("option", "dateFormat");
        const settings = input.data("datepicker").settings;
        const value = input.val();
        try {
           const date = $.datepicker.parseDate(dateFormat, value, settings);
           return "";
        }
        catch (e) {
            return XM_FORM_I18N.dateIntl || XM_FORM_I18N.dateDE;
        }
    }

    $(".XTextField.hasDatepicker").each((_, el) => $(el).errorFunc(function() {
      return checkDate($(this));
    }));
});